]> https://gitweb.dealii.org/ - dealii-svn.git/commitdiff
Detect and work around the following bug in pre-3.0 gccs:
authorwolf <wolf@0785d39b-7218-0410-832d-ea1e28bc413d>
Mon, 25 Mar 2002 15:09:29 +0000 (15:09 +0000)
committerwolf <wolf@0785d39b-7218-0410-832d-ea1e28bc413d>
Mon, 25 Mar 2002 15:09:29 +0000 (15:09 +0000)
struct X
{
    template <typename T2>
    X operator = (T2 &) {return *this;};
};

template X X::operator=<> (float &);

These compilers reported
  x.cc:7: 'operator =' not defined
  x.cc:7: confused by earlier errors, bailing out
and wanted that we write
  template X X::template operator=<> (float &);
instead. This is not what the standard prescribes, and is also not necessary for regular member functions.

Unfortunately, we cannot simply add that 'template' here, since otherwise Sun's Forte compiler no more
groks this. So we define a symbol DEAL_II_MEMBER_OP_TEMPLATE_INST which is empty for standards
compliant compilers, or 'template' in case of broken gcc's.

git-svn-id: https://svn.dealii.org/trunk@5615 0785d39b-7218-0410-832d-ea1e28bc413d

deal.II/aclocal.m4
deal.II/base/include/base/config.h.in
deal.II/configure
deal.II/configure.in
deal.II/lac/source/block_vector.cc
deal.II/lac/source/vector.cc
deal.II/lac/source/vector.long_double.cc

index 0da455488dc322f742319c168474fb0d0d67e708..2dd2819ed9d6fbe30f57cb2e6f096b6d5d60aaaf 100644 (file)
@@ -1257,8 +1257,8 @@ AC_DEFUN(DEAL_II_CHECK_LOCAL_TYPEDEF_COMP, dnl
       AC_MSG_RESULT(yes. trying to work around)
       AC_DEFINE(DEAL_II_LOCAL_TYPEDEF_COMP_WORKAROUND, 1, 
                 [Define if we have to work around a bug in Sun's Forte compiler.
-See the aclocal.m4 file in the top-level directory for a description
-of this bug.])
+                 See the aclocal.m4 file in the top-level directory for a
+                 description of this bug.])
     ])
 ])
 
@@ -1322,9 +1322,67 @@ AC_DEFUN(DEAL_II_CHECK_TEMPLATE_SPEC_ACCESS, dnl
       AC_MSG_RESULT(yes. trying to work around)
       AC_DEFINE(DEAL_II_TEMPLATE_SPEC_ACCESS_WORKAROUND, 1, 
                 [Define if we have to work around a bug in Sun's Forte compiler.
-See the aclocal.m4 file in the top-level directory for a description
-of this bug.])
+                 See the aclocal.m4 file in the top-level directory for a
+                 description of this bug.])
+    ])
+])
+
+
+
+
+dnl -------------------------------------------------------------
+dnl Versions of GCC before 3.0 had a problem with the explicit
+dnl instantiation of member templates when the member was in fact
+dnl an operator. In that case, they needed the "template" keyword,
+dnl which is actually not allowed at this place. Test case is
+dnl 
+dnl /* ----------------------------------------------- */
+dnl struct X
+dnl {
+dnl     template <typename T2>
+dnl     X operator = (T2 &);
+dnl };
+dnl 
+dnl template X X::operator=<> (float &);
+dnl /* ---------------------------------------------------------- */
+dnl
+dnl The compiler only groks this if the "operator=" is prepended
+dnl by "template". We detect this, and either set the 
+dnl DEAL_II_MEMBER_OP_TEMPLATE_INST to "template" or nothing, so
+dnl that it gets expanded to the right string needed in this place.
+dnl
+dnl Usage: DEAL_II_CHECK_MEMBER_OP_TEMPLATE_INST
+dnl
+dnl -------------------------------------------------------------
+AC_DEFUN(DEAL_II_CHECK_MEMBER_OP_TEMPLATE_INST, dnl
+[
+  AC_MSG_CHECKING(for template member operator instantiation bug)
+  AC_LANG(C++)
+  CXXFLAGS="$CXXFLAGSG"
+  AC_TRY_COMPILE(
+    [
+       struct X
+       {
+           template <typename T2>
+           X operator = (T2 &);
+       };
+
+       template X X::operator=<> (float &);
+    ],
+    [],
+    [
+      AC_MSG_RESULT(no)
+      x=""
+    ],
+    [
+      AC_MSG_RESULT(yes. trying to work around)
+      x="template"
     ])
+  AC_DEFINE_UNQUOTED(DEAL_II_MEMBER_OP_TEMPLATE_INST, $x, 
+                     [Define if we have to work around a bug in gcc with
+                      explicitly instantiating template member operators.
+                      See the aclocal.m4 file in the top-level directory
+                      for a description of this bug.])
 ])
 
 
index 67306167cf3a20115abea87bcf312bc95c7d904d..8b4ed2dd3355291a232ce2467d12a40ce356bddd 100644 (file)
 /* Major version number of deal.II */
 #undef DEAL_II_MAJOR
 
+/* Define if we have to work around a bug in gcc with explicitly instantiating
+   template member operators. See the aclocal.m4 file in the top-level
+   directory for a description of this bug. */
+#undef DEAL_II_MEMBER_OP_TEMPLATE_INST
+
 /* Minor version number of deal.II */
 #undef DEAL_II_MINOR
 
index 639be412fd088e09b75c5ca4e766060639465b5e..77bbc1131e19dce5cab3363245fddbfb99b90583 100755 (executable)
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.100 .
+# From configure.in Revision: 1.101 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.50.
 #
@@ -3096,8 +3096,8 @@ EOF
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3099: checking for std::iterator class" >&5
-echo $ECHO_N "checking for std::iterator class... $ECHO_C" >&6
+  echo "$as_me:3099: checking for template member operator instantiation bug" >&5
+echo $ECHO_N "checking for template member operator instantiation bug... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -3107,6 +3107,67 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
 #line 3109 "configure"
+#include "confdefs.h"
+
+       struct X
+       {
+           template <typename T2>
+           X operator = (T2 &);
+       };
+
+       template X X::operator=<> (float &);
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:3129: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:3132: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:3135: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:3138: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+
+      echo "$as_me:3141: result: no" >&5
+echo "${ECHO_T}no" >&6
+      x=""
+
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+
+      echo "$as_me:3149: result: yes. trying to work around" >&5
+echo "${ECHO_T}yes. trying to work around" >&6
+      x="template"
+
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+
+cat >>confdefs.h <<EOF
+#define DEAL_II_MEMBER_OP_TEMPLATE_INST $x
+EOF
+
+  echo "$as_me:3160: checking for std::iterator class" >&5
+echo $ECHO_N "checking for std::iterator class... $ECHO_C" >&6
+  ac_ext=cc
+ac_cpp='$CXXCPP $CPPFLAGS'
+ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
+
+  CXXFLAGS="$CXXFLAGSG"
+  cat >conftest.$ac_ext <<_ACEOF
+#line 3170 "configure"
 #include "confdefs.h"
 
 #include <iterator>
@@ -3122,19 +3183,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3125: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3186: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3128: \$? = $ac_status" >&5
+  echo "$as_me:3189: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3131: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3192: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3134: \$? = $ac_status" >&5
+  echo "$as_me:3195: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3137: result: yes" >&5
+      echo "$as_me:3198: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3145,13 +3206,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3148: result: no" >&5
+      echo "$as_me:3209: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3154: checking for std::i/ostringstream classes" >&5
+  echo "$as_me:3215: checking for std::i/ostringstream classes" >&5
 echo $ECHO_N "checking for std::i/ostringstream classes... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3161,7 +3222,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3164 "configure"
+#line 3225 "configure"
 #include "confdefs.h"
 
 #include <sstream>
@@ -3178,19 +3239,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3181: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3242: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3184: \$? = $ac_status" >&5
+  echo "$as_me:3245: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3187: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3248: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3190: \$? = $ac_status" >&5
+  echo "$as_me:3251: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3193: result: yes" >&5
+      echo "$as_me:3254: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3201,13 +3262,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3204: result: no" >&5
+      echo "$as_me:3265: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3210: checking for std::numeric_limits classes" >&5
+  echo "$as_me:3271: checking for std::numeric_limits classes" >&5
 echo $ECHO_N "checking for std::numeric_limits classes... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3217,7 +3278,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3220 "configure"
+#line 3281 "configure"
 #include "confdefs.h"
 
 #include <limits>
@@ -3233,19 +3294,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3236: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3297: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3239: \$? = $ac_status" >&5
+  echo "$as_me:3300: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3242: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3303: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3245: \$? = $ac_status" >&5
+  echo "$as_me:3306: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3248: result: yes" >&5
+      echo "$as_me:3309: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3256,13 +3317,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3259: result: no" >&5
+      echo "$as_me:3320: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3265: checking for <ostream> header" >&5
+  echo "$as_me:3326: checking for <ostream> header" >&5
 echo $ECHO_N "checking for <ostream> header... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3272,7 +3333,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3275 "configure"
+#line 3336 "configure"
 #include "confdefs.h"
 
 #include <ostream>
@@ -3287,19 +3348,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3290: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3351: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3293: \$? = $ac_status" >&5
+  echo "$as_me:3354: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3296: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3357: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3299: \$? = $ac_status" >&5
+  echo "$as_me:3360: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3302: result: yes" >&5
+      echo "$as_me:3363: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3310,13 +3371,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3313: result: no" >&5
+      echo "$as_me:3374: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3319: checking for <iosfwd> header" >&5
+  echo "$as_me:3380: checking for <iosfwd> header" >&5
 echo $ECHO_N "checking for <iosfwd> header... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3326,7 +3387,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3329 "configure"
+#line 3390 "configure"
 #include "confdefs.h"
 
 #include <iosfwd>
@@ -3341,19 +3402,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3344: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3405: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3347: \$? = $ac_status" >&5
+  echo "$as_me:3408: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3350: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3411: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3353: \$? = $ac_status" >&5
+  echo "$as_me:3414: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3356: result: yes" >&5
+      echo "$as_me:3417: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3364,13 +3425,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3367: result: no" >&5
+      echo "$as_me:3428: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3373: checking for __builtin_expect" >&5
+  echo "$as_me:3434: checking for __builtin_expect" >&5
 echo $ECHO_N "checking for __builtin_expect... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3380,7 +3441,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3383 "configure"
+#line 3444 "configure"
 #include "confdefs.h"
 
        bool f();
@@ -3396,19 +3457,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3399: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3460: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3402: \$? = $ac_status" >&5
+  echo "$as_me:3463: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3405: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3466: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3408: \$? = $ac_status" >&5
+  echo "$as_me:3469: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3411: result: yes" >&5
+      echo "$as_me:3472: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3419,13 +3480,13 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3422: result: no" >&5
+      echo "$as_me:3483: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3428: checking whether lrand48 needs to be declared with -ansi" >&5
+  echo "$as_me:3489: checking whether lrand48 needs to be declared with -ansi" >&5
 echo $ECHO_N "checking whether lrand48 needs to be declared with -ansi... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3435,7 +3496,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
   cat >conftest.$ac_ext <<_ACEOF
-#line 3438 "configure"
+#line 3499 "configure"
 #include "confdefs.h"
 
 #include <vector>
@@ -3456,26 +3517,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3459: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3520: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3462: \$? = $ac_status" >&5
+  echo "$as_me:3523: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3465: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3526: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3468: \$? = $ac_status" >&5
+  echo "$as_me:3529: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:3471: result: no" >&5
+      echo "$as_me:3532: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      echo "$as_me:3478: result: yes" >&5
+      echo "$as_me:3539: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3485,7 +3546,7 @@ EOF
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3488: checking whether getrusage is properly declared" >&5
+  echo "$as_me:3549: checking whether getrusage is properly declared" >&5
 echo $ECHO_N "checking whether getrusage is properly declared... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3494,7 +3555,7 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   cat >conftest.$ac_ext <<_ACEOF
-#line 3497 "configure"
+#line 3558 "configure"
 #include "confdefs.h"
 
 #include <sys/resource.h>
@@ -3511,26 +3572,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3514: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3575: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3517: \$? = $ac_status" >&5
+  echo "$as_me:3578: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3520: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3581: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3523: \$? = $ac_status" >&5
+  echo "$as_me:3584: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:3526: result: yes" >&5
+       echo "$as_me:3587: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-       echo "$as_me:3533: result: no" >&5
+       echo "$as_me:3594: result: no" >&5
 echo "${ECHO_T}no" >&6
        CXXFLAGSG="$CXXFLAGSG -DNO_HAVE_GETRUSAGE"
        CXXFLAGSO="$CXXFLAGSO -DNO_HAVE_GETRUSAGE"
@@ -3538,7 +3599,7 @@ echo "${ECHO_T}no" >&6
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-  echo "$as_me:3541: checking whether isnan is declared with debug flags" >&5
+  echo "$as_me:3602: checking whether isnan is declared with debug flags" >&5
 echo $ECHO_N "checking whether isnan is declared with debug flags... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3549,7 +3610,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
   CXXFLAGS=$CXXFLAGSG
   deal_II_isnan_flag=""
   cat >conftest.$ac_ext <<_ACEOF
-#line 3552 "configure"
+#line 3613 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3566,19 +3627,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3569: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3630: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3572: \$? = $ac_status" >&5
+  echo "$as_me:3633: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3575: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3636: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3578: \$? = $ac_status" >&5
+  echo "$as_me:3639: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:3581: result: yes" >&5
+       echo "$as_me:3642: result: yes" >&5
 echo "${ECHO_T}yes" >&6
        deal_II_isnan_flag="-DHAVE_ISNAN"
        CXXFLAGSG="$deal_II_isnan_flag $CXXFLAGSG"
@@ -3591,7 +3652,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 
   if test "x$deal_II_isnan_flag" = "x" ; then
             cat >conftest.$ac_ext <<_ACEOF
-#line 3594 "configure"
+#line 3655 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3608,19 +3669,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3611: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3672: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3614: \$? = $ac_status" >&5
+  echo "$as_me:3675: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3617: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3678: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3620: \$? = $ac_status" >&5
+  echo "$as_me:3681: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-         echo "$as_me:3623: result: yes" >&5
+         echo "$as_me:3684: result: yes" >&5
 echo "${ECHO_T}yes" >&6
          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN"
          CXXFLAGSG="$deal_II_isnan_flag $CXXFLAGSG"
@@ -3637,7 +3698,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     for testflag in -D_ISOC99_SOURCE -D__EXTENSIONS__ ; do
       CXXFLAGS="$CXXFLAGSG $testflag"
       cat >conftest.$ac_ext <<_ACEOF
-#line 3640 "configure"
+#line 3701 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3654,16 +3715,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3657: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3718: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3660: \$? = $ac_status" >&5
+  echo "$as_me:3721: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3663: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3724: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3666: \$? = $ac_status" >&5
+  echo "$as_me:3727: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_ISNAN $testflag"
@@ -3676,7 +3737,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
                         cat >conftest.$ac_ext <<_ACEOF
-#line 3679 "configure"
+#line 3740 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3693,16 +3754,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3696: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3757: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3699: \$? = $ac_status" >&5
+  echo "$as_me:3760: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3702: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3763: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3705: \$? = $ac_status" >&5
+  echo "$as_me:3766: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN $testflag"
@@ -3716,16 +3777,16 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     done
 
                 if test "x$deal_II_isnan_flag" = "x" ; then
-      echo "$as_me:3719: result: no." >&5
+      echo "$as_me:3780: result: no." >&5
 echo "${ECHO_T}no." >&6
     else
-            echo "$as_me:3722: result: using $testflag" >&5
+            echo "$as_me:3783: result: using $testflag" >&5
 echo "${ECHO_T}using $testflag" >&6
       CXXFLAGSG="$deal_II_isnan_flag $CXXFLAGSG"
     fi
   fi
 
-  echo "$as_me:3728: checking whether isnan is declared with optimized flags" >&5
+  echo "$as_me:3789: checking whether isnan is declared with optimized flags" >&5
 echo $ECHO_N "checking whether isnan is declared with optimized flags... $ECHO_C" >&6
   ac_ext=cc
 ac_cpp='$CXXCPP $CPPFLAGS'
@@ -3736,7 +3797,7 @@ ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
   CXXFLAGS=$CXXFLAGSO
   deal_II_isnan_flag=""
   cat >conftest.$ac_ext <<_ACEOF
-#line 3739 "configure"
+#line 3800 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3753,19 +3814,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3756: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3817: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3759: \$? = $ac_status" >&5
+  echo "$as_me:3820: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3762: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3823: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3765: \$? = $ac_status" >&5
+  echo "$as_me:3826: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-       echo "$as_me:3768: result: yes" >&5
+       echo "$as_me:3829: result: yes" >&5
 echo "${ECHO_T}yes" >&6
        deal_II_isnan_flag="-DHAVE_ISNAN"
        CXXFLAGSO="$deal_II_isnan_flag $CXXFLAGSO"
@@ -3778,7 +3839,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 
   if test "x$deal_II_isnan_flag" = "x" ; then
             cat >conftest.$ac_ext <<_ACEOF
-#line 3781 "configure"
+#line 3842 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3795,19 +3856,19 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3798: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3859: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3801: \$? = $ac_status" >&5
+  echo "$as_me:3862: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3804: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3865: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3807: \$? = $ac_status" >&5
+  echo "$as_me:3868: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-         echo "$as_me:3810: result: yes" >&5
+         echo "$as_me:3871: result: yes" >&5
 echo "${ECHO_T}yes" >&6
          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN"
          CXXFLAGSO="$deal_II_isnan_flag $CXXFLAGSO"
@@ -3824,7 +3885,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     for testflag in -D_ISOC99_SOURCE -D__EXTENSIONS__ ; do
       CXXFLAGS="$CXXFLAGSO $testflag"
       cat >conftest.$ac_ext <<_ACEOF
-#line 3827 "configure"
+#line 3888 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3841,16 +3902,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3844: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3905: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3847: \$? = $ac_status" >&5
+  echo "$as_me:3908: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3850: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3911: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3853: \$? = $ac_status" >&5
+  echo "$as_me:3914: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_ISNAN $testflag"
@@ -3863,7 +3924,7 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
                         cat >conftest.$ac_ext <<_ACEOF
-#line 3866 "configure"
+#line 3927 "configure"
 #include "confdefs.h"
 
 #include <cmath>
@@ -3880,16 +3941,16 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3883: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:3944: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3886: \$? = $ac_status" >&5
+  echo "$as_me:3947: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3889: \"$ac_try\"") >&5
+  { (eval echo "$as_me:3950: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3892: \$? = $ac_status" >&5
+  echo "$as_me:3953: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
                          deal_II_isnan_flag="-DHAVE_UNDERSCORE_ISNAN $testflag"
@@ -3903,10 +3964,10 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     done
 
                 if test "x$deal_II_isnan_flag" = "x" ; then
-      echo "$as_me:3906: result: no." >&5
+      echo "$as_me:3967: result: no." >&5
 echo "${ECHO_T}no." >&6
     else
-            echo "$as_me:3909: result: using $testflag" >&5
+            echo "$as_me:3970: result: using $testflag" >&5
 echo "${ECHO_T}using $testflag" >&6
       CXXFLAGSO="$deal_II_isnan_flag $CXXFLAGSO"
     fi
@@ -3919,10 +3980,10 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS=$CXXFLAGSG
-  echo "$as_me:3922: checking for rand_r" >&5
+  echo "$as_me:3983: checking for rand_r" >&5
 echo $ECHO_N "checking for rand_r... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
-#line 3925 "configure"
+#line 3986 "configure"
 #include "confdefs.h"
 
 #include <cstdlib>
@@ -3939,19 +4000,19 @@ int i=rand_r(&i);
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:3942: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4003: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:3945: \$? = $ac_status" >&5
+  echo "$as_me:4006: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:3948: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4009: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:3951: \$? = $ac_status" >&5
+  echo "$as_me:4012: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-         echo "$as_me:3954: result: found" >&5
+         echo "$as_me:4015: result: found" >&5
 echo "${ECHO_T}found" >&6
 
 cat >>confdefs.h <<\EOF
@@ -3962,7 +4023,7 @@ else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-         echo "$as_me:3965: result: no" >&5
+         echo "$as_me:4026: result: no" >&5
 echo "${ECHO_T}no" >&6
 
 fi
@@ -3971,13 +4032,13 @@ rm -f conftest.$ac_objext conftest.$ac_ext
 for ac_func in gethostname
 do
 ac_ac_var=`echo "ac_cv_func_$ac_func" | $ac_tr_sh`
-echo "$as_me:3974: checking for $ac_func" >&5
+echo "$as_me:4035: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 3980 "configure"
+#line 4041 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -4008,16 +4069,16 @@ f = $ac_func;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:4011: \"$ac_link\"") >&5
+if { (eval echo "$as_me:4072: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:4014: \$? = $ac_status" >&5
+  echo "$as_me:4075: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:4017: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4078: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4020: \$? = $ac_status" >&5
+  echo "$as_me:4081: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$ac_ac_var=yes"
 else
@@ -4027,7 +4088,7 @@ eval "$ac_ac_var=no"
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:4030: result: `eval echo '${'$ac_ac_var'}'`" >&5
+echo "$as_me:4091: result: `eval echo '${'$ac_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_var'}'`" >&6
 if test `eval echo '${'$ac_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -4037,16 +4098,16 @@ EOF
 fi
 done
 
-echo "$as_me:4040: result: " >&5
+echo "$as_me:4101: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4042: result: ----------------- configuring F77 compilers -----------------" >&5
+echo "$as_me:4103: result: ----------------- configuring F77 compilers -----------------" >&5
 echo "${ECHO_T}----------------- configuring F77 compilers -----------------" >&6
 
 for ac_prog in f77 g77
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:4049: checking for $ac_word" >&5
+echo "$as_me:4110: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_F77+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4063,7 +4124,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_F77="$ac_dir/$ac_word"
-   echo "$as_me:4066: found $ac_dir/$ac_word" >&5
+   echo "$as_me:4127: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -4074,10 +4135,10 @@ fi
 F77=$ac_cv_path_F77
 
 if test -n "$F77"; then
-  echo "$as_me:4077: result: $F77" >&5
+  echo "$as_me:4138: result: $F77" >&5
 echo "${ECHO_T}$F77" >&6
 else
-  echo "$as_me:4080: result: no" >&5
+  echo "$as_me:4141: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -4092,49 +4153,49 @@ if test "x$F77" != "x" ; then
             G77_VERSION_STRING="`($F77 -v 2>&1) | grep \"gcc version\"`"
       case "$G77_VERSION_STRING" in
         *"egcs-1.1"*)
-            echo "$as_me:4095: result: F77 compiler is egcs-1.1" >&5
+            echo "$as_me:4156: result: F77 compiler is egcs-1.1" >&5
 echo "${ECHO_T}F77 compiler is egcs-1.1" >&6
             F77_VERSION=egcs1.1
             ;;
         *2.95*)
-            echo "$as_me:4100: result: F77 compiler is gcc-2.95" >&5
+            echo "$as_me:4161: result: F77 compiler is gcc-2.95" >&5
 echo "${ECHO_T}F77 compiler is gcc-2.95" >&6
          F77_VERSION=gcc2.95
          ;;
         *2.96*)
-         echo "$as_me:4105: result: F77 compiler is gcc-2.96" >&5
+         echo "$as_me:4166: result: F77 compiler is gcc-2.96" >&5
 echo "${ECHO_T}F77 compiler is gcc-2.96" >&6
          F77_VERSION=gcc2.96
          ;;
         *2.97*)
-         echo "$as_me:4110: result: F77 compiler is gcc-2.97" >&5
+         echo "$as_me:4171: result: F77 compiler is gcc-2.97" >&5
 echo "${ECHO_T}F77 compiler is gcc-2.97" >&6
          F77_VERSION=gcc2.97
          ;;
         *3.0*)
-         echo "$as_me:4115: result: F77 compiler is gcc-3.0" >&5
+         echo "$as_me:4176: result: F77 compiler is gcc-3.0" >&5
 echo "${ECHO_T}F77 compiler is gcc-3.0" >&6
          F77_VERSION=gcc3.0
          ;;
         *3.1*)
-         echo "$as_me:4120: result: F77 compiler is gcc-3.1" >&5
+         echo "$as_me:4181: result: F77 compiler is gcc-3.1" >&5
 echo "${ECHO_T}F77 compiler is gcc-3.1" >&6
          F77_VERSION=gcc3.1
          ;;
         *3.2*)
-         echo "$as_me:4125: result: F77 compiler is gcc-3.2" >&5
+         echo "$as_me:4186: result: F77 compiler is gcc-3.2" >&5
 echo "${ECHO_T}F77 compiler is gcc-3.2" >&6
          F77_VERSION=gcc3.2
          ;;
         *2.4* | *2.5* | *2.6* | *2.7* | *2.8*)
-                         echo "$as_me:4130: result: F77 compiler is $G77_VERSION_STRING" >&5
+                         echo "$as_me:4191: result: F77 compiler is $G77_VERSION_STRING" >&5
 echo "${ECHO_T}F77 compiler is $G77_VERSION_STRING" >&6
-         { { echo "$as_me:4132: error: F77 compiler is not supported" >&5
+         { { echo "$as_me:4193: error: F77 compiler is not supported" >&5
 echo "$as_me: error: F77 compiler is not supported" >&2;}
    { (exit 1); exit 1; }; }
          ;;
         *)
-         echo "$as_me:4137: result: F77 compiler is unknown but accepted gcc version" >&5
+         echo "$as_me:4198: result: F77 compiler is unknown but accepted gcc version" >&5
 echo "${ECHO_T}F77 compiler is unknown but accepted gcc version" >&6
          F77_VERSION=gcc-other
          ;;
@@ -4145,7 +4206,7 @@ echo "${ECHO_T}F77 compiler is unknown but accepted gcc version" >&6
             if test -n "`echo $F77_VERSION_STRING | grep \"XL Fortran for AIX\"`" ; then
 
                 F77_VERSION=AIXF77
-        echo "$as_me:4148: result: F77 compiler is AIX Fortran77" >&5
+        echo "$as_me:4209: result: F77 compiler is AIX Fortran77" >&5
 echo "${ECHO_T}F77 compiler is AIX Fortran77" >&6
 
       else
@@ -4153,7 +4214,7 @@ echo "${ECHO_T}F77 compiler is AIX Fortran77" >&6
                         F77_VERSION_STRING=`($F77 -V 2>&1)`
         if test -n "`echo $F77_VERSION_STRING | grep \"WorkShop Compilers\"`" ; then
 
-                 echo "$as_me:4156: result: F77 compiler is Sun WorkShop f77" >&5
+                 echo "$as_me:4217: result: F77 compiler is Sun WorkShop f77" >&5
 echo "${ECHO_T}F77 compiler is Sun WorkShop f77" >&6
          F77_VERSION="SunF77"
 
@@ -4161,14 +4222,14 @@ echo "${ECHO_T}F77 compiler is Sun WorkShop f77" >&6
 
                               F77_VERSION_STRING=`($F77 -version 2>&1)`
          if test -n "`echo $F77_VERSION_STRING | grep MIPSpro`" ; then
-           echo "$as_me:4164: result: F77 compiler is MIPSpro f77" >&5
+           echo "$as_me:4225: result: F77 compiler is MIPSpro f77" >&5
 echo "${ECHO_T}F77 compiler is MIPSpro f77" >&6
            F77_VERSION="MIPSproF77"
 
           else
 
                        F77_VERSION=
-           echo "$as_me:4171: result: F77 compiler is unkown. no flags set!" >&5
+           echo "$as_me:4232: result: F77 compiler is unkown. no flags set!" >&5
 echo "${ECHO_T}F77 compiler is unkown. no flags set!" >&6
           fi
         fi
@@ -4214,7 +4275,7 @@ echo "${ECHO_T}F77 compiler is unkown. no flags set!" >&6
        ;;
 
     *)
-       { { echo "$as_me:4217: error: No compiler options for F77 compiler
+       { { echo "$as_me:4278: error: No compiler options for F77 compiler
                      \"$F77_VERSION\" specified at present" >&5
 echo "$as_me: error: No compiler options for F77 compiler
                      \"$F77_VERSION\" specified at present" >&2;}
@@ -4224,9 +4285,9 @@ echo "$as_me: error: No compiler options for F77 compiler
 
 fi
 
-echo "$as_me:4227: result: " >&5
+echo "$as_me:4288: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4229: result: -------------- configuring shared/static libs ---------------" >&5
+echo "$as_me:4290: result: -------------- configuring shared/static libs ---------------" >&5
 echo "${ECHO_T}-------------- configuring shared/static libs ---------------" >&6
 
 # Check whether --enable-shared or --disable-shared was given.
@@ -4239,7 +4300,7 @@ fi;
 
 case "$target" in
    *-aix* | alpha*-linux* | alpha*-osf45* | *cygwin )
-          { echo "$as_me:4242: WARNING: Shared libraries not supported on $target. Using static libs instead" >&5
+          { echo "$as_me:4303: WARNING: Shared libraries not supported on $target. Using static libs instead" >&5
 echo "$as_me: WARNING: Shared libraries not supported on $target. Using static libs instead" >&2;}
           enableshared=no
           ;;
@@ -4264,11 +4325,11 @@ fi;
     for i in $disable_compat ; do
     case $i in
       mapping)
-        echo "$as_me:4267: result: Disabling backward compatibility feature: \"$i\"" >&5
+        echo "$as_me:4328: result: Disabling backward compatibility feature: \"$i\"" >&5
 echo "${ECHO_T}Disabling backward compatibility feature: \"$i\"" >&6
         ;;
       *)
-        { { echo "$as_me:4271: error: Backward compatibility feature \"$i\" unknown" >&5
+        { { echo "$as_me:4332: error: Backward compatibility feature \"$i\" unknown" >&5
 echo "$as_me: error: Backward compatibility feature \"$i\" unknown" >&2;}
    { (exit 1); exit 1; }; }
         ;;
@@ -4293,7 +4354,7 @@ EOF
        ;;
 
       *)
-       { { echo "$as_me:4296: error: Backward compatibility feature \"$i\" unknown" >&5
+       { { echo "$as_me:4357: error: Backward compatibility feature \"$i\" unknown" >&5
 echo "$as_me: error: Backward compatibility feature \"$i\" unknown" >&2;}
    { (exit 1); exit 1; }; }
        ;;
@@ -4312,7 +4373,7 @@ else
     fi
 fi;
 if test "$enablemultigrid" = yes ; then
-   echo "$as_me:4315: result: configuring multigrid" >&5
+   echo "$as_me:4376: result: configuring multigrid" >&5
 echo "${ECHO_T}configuring multigrid" >&6
 
 cat >>confdefs.h <<\EOF
@@ -4321,19 +4382,19 @@ EOF
 
 fi
 
-echo "$as_me:4324: result: " >&5
+echo "$as_me:4385: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4326: result: ---------------- configuring additional libs ----------------" >&5
+echo "$as_me:4387: result: ---------------- configuring additional libs ----------------" >&5
 echo "${ECHO_T}---------------- configuring additional libs ----------------" >&6
 
   ac_ac_File=`echo "ac_cv_file_$TECHOME/lib/tecio.a" | $ac_tr_sh`
-echo "$as_me:4330: checking for $TECHOME/lib/tecio.a" >&5
+echo "$as_me:4391: checking for $TECHOME/lib/tecio.a" >&5
 echo $ECHO_N "checking for $TECHOME/lib/tecio.a... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4336: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4397: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TECHOME/lib/tecio.a"; then
@@ -4342,20 +4403,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4345: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4406: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_LIBRARY_PATH=$TECHOME/lib/tecio.a
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC80HOME/lib/tecio.a" | $ac_tr_sh`
-echo "$as_me:4352: checking for $TEC80HOME/lib/tecio.a" >&5
+echo "$as_me:4413: checking for $TEC80HOME/lib/tecio.a" >&5
 echo $ECHO_N "checking for $TEC80HOME/lib/tecio.a... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4358: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4419: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC80HOME/lib/tecio.a"; then
@@ -4364,20 +4425,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4367: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4428: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_LIBRARY_PATH=$TEC80HOME/lib/tecio.a
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC90HOME/lib/tecio.a" | $ac_tr_sh`
-echo "$as_me:4374: checking for $TEC90HOME/lib/tecio.a" >&5
+echo "$as_me:4435: checking for $TEC90HOME/lib/tecio.a" >&5
 echo $ECHO_N "checking for $TEC90HOME/lib/tecio.a... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4380: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4441: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC90HOME/lib/tecio.a"; then
@@ -4386,20 +4447,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4389: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4450: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_LIBRARY_PATH=$TEC90HOME/lib/tecio.a
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TECHOME/include/TECIO.h" | $ac_tr_sh`
-echo "$as_me:4396: checking for $TECHOME/include/TECIO.h" >&5
+echo "$as_me:4457: checking for $TECHOME/include/TECIO.h" >&5
 echo $ECHO_N "checking for $TECHOME/include/TECIO.h... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4402: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4463: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TECHOME/include/TECIO.h"; then
@@ -4408,20 +4469,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4411: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4472: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_INCLUDE_PATH=$TECHOME/include
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC80HOME/include/TECIO.h" | $ac_tr_sh`
-echo "$as_me:4418: checking for $TEC80HOME/include/TECIO.h" >&5
+echo "$as_me:4479: checking for $TEC80HOME/include/TECIO.h" >&5
 echo $ECHO_N "checking for $TEC80HOME/include/TECIO.h... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4424: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4485: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC80HOME/include/TECIO.h"; then
@@ -4430,20 +4491,20 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4433: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4494: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_INCLUDE_PATH=$TEC80HOME/include
 fi
 
   ac_ac_File=`echo "ac_cv_file_$TEC90HOME/include/TECIO.h" | $ac_tr_sh`
-echo "$as_me:4440: checking for $TEC90HOME/include/TECIO.h" >&5
+echo "$as_me:4501: checking for $TEC90HOME/include/TECIO.h" >&5
 echo $ECHO_N "checking for $TEC90HOME/include/TECIO.h... $ECHO_C" >&6
 if eval "test \"\${$ac_ac_File+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   test "$cross_compiling" = yes &&
-  { { echo "$as_me:4446: error: cannot check for file existence when cross compiling" >&5
+  { { echo "$as_me:4507: error: cannot check for file existence when cross compiling" >&5
 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 if test -r "$TEC90HOME/include/TECIO.h"; then
@@ -4452,7 +4513,7 @@ else
   eval "$ac_ac_File=no"
 fi
 fi
-echo "$as_me:4455: result: `eval echo '${'$ac_ac_File'}'`" >&5
+echo "$as_me:4516: result: `eval echo '${'$ac_ac_File'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$ac_ac_File'}'`" >&6
 if test `eval echo '${'$ac_ac_File'}'` = yes; then
   TECPLOT_INCLUDE_PATH=$TEC90HOME/include
@@ -4467,7 +4528,7 @@ EOF
 
   fi
 
-  echo "$as_me:4470: checking for HSL subroutines" >&5
+  echo "$as_me:4531: checking for HSL subroutines" >&5
 echo $ECHO_N "checking for HSL subroutines... $ECHO_C" >&6
   hsl_subroutines=""
   if test -r contrib/hsl/source/ma27.f ; then
@@ -4490,18 +4551,18 @@ EOF
   fi
 
   if test "x$hsl_subroutines" != "x" ; then
-    echo "$as_me:4493: result: $hsl_subroutines" >&5
+    echo "$as_me:4554: result: $hsl_subroutines" >&5
 echo "${ECHO_T}$hsl_subroutines" >&6
     USE_CONTRIB_HSL=yes
   else
-    echo "$as_me:4497: result: none found" >&5
+    echo "$as_me:4558: result: none found" >&5
 echo "${ECHO_T}none found" >&6
     USE_CONTRIB_HSL=no
   fi
 
-echo "$as_me:4502: result: " >&5
+echo "$as_me:4563: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4504: result: ------------------ checking compiler flags ------------------" >&5
+echo "$as_me:4565: result: ------------------ checking compiler flags ------------------" >&5
 echo "${ECHO_T}------------------ checking compiler flags ------------------" >&6
 
   ac_ext=cc
@@ -4511,10 +4572,10 @@ ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ex
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
   CXXFLAGS="$CXXFLAGSG"
-  echo "$as_me:4514: checking for consistency of CXXFLAGSG flags" >&5
+  echo "$as_me:4575: checking for consistency of CXXFLAGSG flags" >&5
 echo $ECHO_N "checking for consistency of CXXFLAGSG flags... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
-#line 4517 "configure"
+#line 4578 "configure"
 #include "confdefs.h"
 
 int
@@ -4526,26 +4587,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4529: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4590: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4532: \$? = $ac_status" >&5
+  echo "$as_me:4593: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4535: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4596: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4538: \$? = $ac_status" >&5
+  echo "$as_me:4599: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:4541: result: yes" >&5
+      echo "$as_me:4602: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      { { echo "$as_me:4548: error: invalid combination of flags!" >&5
+      { { echo "$as_me:4609: error: invalid combination of flags!" >&5
 echo "$as_me: error: invalid combination of flags!" >&2;}
    { (exit 1); exit 1; }; }
       exit 1;
@@ -4554,10 +4615,10 @@ fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
   CXXFLAGS="$CXXFLAGSO"
-  echo "$as_me:4557: checking for consistency of CXXFLAGSO flags" >&5
+  echo "$as_me:4618: checking for consistency of CXXFLAGSO flags" >&5
 echo $ECHO_N "checking for consistency of CXXFLAGSO flags... $ECHO_C" >&6
   cat >conftest.$ac_ext <<_ACEOF
-#line 4560 "configure"
+#line 4621 "configure"
 #include "confdefs.h"
 
 int
@@ -4569,26 +4630,26 @@ main ()
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:4572: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:4633: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:4575: \$? = $ac_status" >&5
+  echo "$as_me:4636: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:4578: \"$ac_try\"") >&5
+  { (eval echo "$as_me:4639: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:4581: \$? = $ac_status" >&5
+  echo "$as_me:4642: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
-      echo "$as_me:4584: result: yes" >&5
+      echo "$as_me:4645: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 
-      { { echo "$as_me:4591: error: invalid combination of flags!" >&5
+      { { echo "$as_me:4652: error: invalid combination of flags!" >&5
 echo "$as_me: error: invalid combination of flags!" >&2;}
    { (exit 1); exit 1; }; }
       exit 1;
@@ -4596,9 +4657,9 @@ echo "$as_me: error: invalid combination of flags!" >&2;}
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 
-echo "$as_me:4599: result: " >&5
+echo "$as_me:4660: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4601: result: ---------------- configuring other programs -----------------" >&5
+echo "$as_me:4662: result: ---------------- configuring other programs -----------------" >&5
 echo "${ECHO_T}---------------- configuring other programs -----------------" >&6
 
 # Check whether --with-kdoc or --without-kdoc was given.
@@ -4608,17 +4669,17 @@ if test "${with_kdoc+set}" = set; then
 else
   kdocdir=${DEAL2_DIR}/contrib/kdoc/bin
 fi;
-  echo "$as_me:4611: checking for kdoc" >&5
+  echo "$as_me:4672: checking for kdoc" >&5
 echo $ECHO_N "checking for kdoc... $ECHO_C" >&6
 
     if test "$kdocdir" != ${DEAL2_DIR}/contrib/kdoc/bin ; then
     if test -r $kdocdir/kdoc ; then
-      echo "$as_me:4616: result: found" >&5
+      echo "$as_me:4677: result: found" >&5
 echo "${ECHO_T}found" >&6
     else
-      echo "$as_me:4619: result: not found" >&5
+      echo "$as_me:4680: result: not found" >&5
 echo "${ECHO_T}not found" >&6
-      { { echo "$as_me:4621: error: Invalid kdoc path $kdocdir/kdoc" >&5
+      { { echo "$as_me:4682: error: Invalid kdoc path $kdocdir/kdoc" >&5
 echo "$as_me: error: Invalid kdoc path $kdocdir/kdoc" >&2;}
    { (exit 1); exit 1; }; }
     fi
@@ -4630,7 +4691,7 @@ echo "$as_me: error: Invalid kdoc path $kdocdir/kdoc" >&2;}
     fi
   else
     kdocversion=`cat ${DEAL2_DIR}/contrib/kdoc/src/Version`
-    echo "$as_me:4633: result: using default version $kdocversion" >&5
+    echo "$as_me:4694: result: using default version $kdocversion" >&5
 echo "${ECHO_T}using default version $kdocversion" >&6
   fi
 
@@ -4644,7 +4705,7 @@ fi;
   if test "$docxx" = to-be-determined ; then
     # Extract the first word of ""doc++"", so it can be a program name with args.
 set dummy "doc++"; ac_word=$2
-echo "$as_me:4647: checking for $ac_word" >&5
+echo "$as_me:4708: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_docxx+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4661,7 +4722,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_docxx="$ac_dir/$ac_word"
-   echo "$as_me:4664: found $ac_dir/$ac_word" >&5
+   echo "$as_me:4725: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -4672,21 +4733,21 @@ fi
 docxx=$ac_cv_path_docxx
 
 if test -n "$docxx"; then
-  echo "$as_me:4675: result: $docxx" >&5
+  echo "$as_me:4736: result: $docxx" >&5
 echo "${ECHO_T}$docxx" >&6
 else
-  echo "$as_me:4678: result: no" >&5
+  echo "$as_me:4739: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
   else
-    echo "$as_me:4683: checking for doc++" >&5
+    echo "$as_me:4744: checking for doc++" >&5
 echo $ECHO_N "checking for doc++... $ECHO_C" >&6
     if test -x "$docxx" ; then
-      echo "$as_me:4686: result: yes" >&5
+      echo "$as_me:4747: result: yes" >&5
 echo "${ECHO_T}yes" >&6
     else
-      echo "$as_me:4689: result: no" >&5
+      echo "$as_me:4750: result: no" >&5
 echo "${ECHO_T}no" >&6
       docxx=
     fi
@@ -4694,7 +4755,7 @@ echo "${ECHO_T}no" >&6
 
 # Extract the first word of "perl", so it can be a program name with args.
 set dummy perl; ac_word=$2
-echo "$as_me:4697: checking for $ac_word" >&5
+echo "$as_me:4758: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_PERL+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -4711,7 +4772,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_PERL="$ac_dir/$ac_word"
-   echo "$as_me:4714: found $ac_dir/$ac_word" >&5
+   echo "$as_me:4775: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -4722,18 +4783,18 @@ fi
 PERL=$ac_cv_path_PERL
 
 if test -n "$PERL"; then
-  echo "$as_me:4725: result: $PERL" >&5
+  echo "$as_me:4786: result: $PERL" >&5
 echo "${ECHO_T}$PERL" >&6
 else
-  echo "$as_me:4728: result: no" >&5
+  echo "$as_me:4789: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
 subdirs="$subdirs contrib tests"
 
-echo "$as_me:4734: result: " >&5
+echo "$as_me:4795: result: " >&5
 echo "${ECHO_T}" >&6
-echo "$as_me:4736: result: --------------------- generating output ---------------------" >&5
+echo "$as_me:4797: result: --------------------- generating output ---------------------" >&5
 echo "${ECHO_T}--------------------- generating output ---------------------" >&6
 
 ac_config_files="$ac_config_files common/Make.global_options common/Makefile.template doc/Makefile doc/auto/Makefile doc/auto/kdoc/Makefile"
@@ -4762,7 +4823,7 @@ DEFS=-DHAVE_CONFIG_H
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:4765: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:4826: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -4934,7 +4995,7 @@ cat >>$CONFIG_STATUS <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:4937: error: ambiguous option: $1
+    { { echo "$as_me:4998: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -4961,12 +5022,12 @@ Try \`$0 --help' for more information." >&2;}
   'base/include/base/config.h' ) CONFIG_HEADERS="$CONFIG_HEADERS base/include/base/config.h" ;;
 
   # This is an error.
-  -*) { { echo "$as_me:4964: error: unrecognized option: $1
+  -*) { { echo "$as_me:5025: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
    { (exit 1); exit 1; }; } ;;
-  *) { { echo "$as_me:4969: error: invalid argument: $1" >&5
+  *) { { echo "$as_me:5030: error: invalid argument: $1" >&5
 echo "$as_me: error: invalid argument: $1" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -5218,7 +5279,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:5221: creating $ac_file" >&5
+    { echo "$as_me:5282: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -5236,7 +5297,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:5239: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:5300: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -5249,7 +5310,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:5252: error: cannot find input file: $f" >&5
+           { { echo "$as_me:5313: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -5309,7 +5370,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:5312: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:5373: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -5320,7 +5381,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:5323: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:5384: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -5333,7 +5394,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:5336: error: cannot find input file: $f" >&5
+           { { echo "$as_me:5397: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -5450,7 +5511,7 @@ cat >>$CONFIG_STATUS <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:5453: $ac_file is unchanged" >&5
+      { echo "$as_me:5514: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -5554,7 +5615,7 @@ if test "$no_recursion" != yes; then
     # parts of a large source tree are present.
     test -d $srcdir/$ac_subdir || continue
 
-    { echo "$as_me:5557: configuring in $ac_subdir" >&5
+    { echo "$as_me:5618: configuring in $ac_subdir" >&5
 echo "$as_me: configuring in $ac_subdir" >&6;}
     case $srcdir in
     .) ;;
@@ -5576,7 +5637,7 @@ done; }
 
        if test -d ./$ac_subdir; then :;
        else
-         { { echo "$as_me:5579: error: cannot create \`pwd\`/$ac_subdir" >&5
+         { { echo "$as_me:5640: error: cannot create \`pwd\`/$ac_subdir" >&5
 echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
    { (exit 1); exit 1; }; }
        fi
@@ -5607,7 +5668,7 @@ echo "$as_me: error: cannot create \`pwd\`/$ac_subdir" >&2;}
     elif test -f $ac_sub_srcdir/configure.in; then
       ac_sub_configure=$ac_configure
     else
-      { echo "$as_me:5610: WARNING: no configuration information is in $ac_subdir" >&5
+      { echo "$as_me:5671: WARNING: no configuration information is in $ac_subdir" >&5
 echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
       ac_sub_configure=
     fi
@@ -5621,12 +5682,12 @@ echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
         ac_sub_cache_file=$ac_dots$cache_file ;;
       esac
 
-      { echo "$as_me:5624: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
+      { echo "$as_me:5685: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&5
 echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir" >&6;}
       # The eval makes quoting arguments work.
       eval $ac_sub_configure $ac_sub_configure_args \
            --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir ||
-        { { echo "$as_me:5629: error: $ac_sub_configure failed for $ac_subdir" >&5
+        { { echo "$as_me:5690: error: $ac_sub_configure failed for $ac_subdir" >&5
 echo "$as_me: error: $ac_sub_configure failed for $ac_subdir" >&2;}
    { (exit 1); exit 1; }; }
     fi
index d5e53ce2d59398e43240810166c0628bd0219669..212aadea1298bb1d77a19d6e7c375cd5eb7a659f 100644 (file)
@@ -152,6 +152,7 @@ DEAL_II_CHECK_ASSERT_THROW(optimized, $CXXFLAGSO,
 DEAL_II_CHECK_IBM_XLC_ERROR
 DEAL_II_CHECK_LOCAL_TYPEDEF_COMP
 DEAL_II_CHECK_TEMPLATE_SPEC_ACCESS
+DEAL_II_CHECK_MEMBER_OP_TEMPLATE_INST
 DEAL_II_HAVE_STD_ITERATOR
 DEAL_II_HAVE_STD_STRINGSTREAM
 DEAL_II_HAVE_STD_NUMERIC_LIMITS
index 3565c6c0a9f20b0e1852e5e006a18fc233a2697e..7cfb9143dd7f19f8504f44b58229e0702951415f 100644 (file)
@@ -15,7 +15,7 @@
 
 // explicit instantiations
 template class BlockVector<double>;
-template BlockVector<double>& BlockVector<double>::template operator=<>(
+template BlockVector<double>& BlockVector<double>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator=<>(
   const BlockVector<float>&);
 template void BlockVector<double>::reinit<>(const BlockVector<double>&, const bool);
 template void BlockVector<double>::reinit<>(const BlockVector<float>&, const bool);
@@ -23,7 +23,7 @@ template void BlockVector<double>::equ<>(const double, const BlockVector<double>
 template void BlockVector<double>::equ<>(const double, const BlockVector<float>&);
 
 template class BlockVector<float>;
-template BlockVector<float>& BlockVector<float>::template operator=<>(
+template BlockVector<float>& BlockVector<float>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator=<>(
   const BlockVector<double>&);
 template void BlockVector<float>::reinit<>(const BlockVector<double>&, const bool);
 template void BlockVector<float>::reinit<>(const BlockVector<float>&, const bool);
index a119df8f17fcc447a2bf02e40b10dfc9acf34928..3f56b0a68e898496299ad065ac418d781ce3e2f2 100644 (file)
 
 // explicit instantiations
 template class Vector<double>;
-template Vector<double>& Vector<double>::template operator=<>(const Vector<float>&);
-template double Vector<double>::template operator*<>(const Vector<float>&) const;
-template double Vector<double>::template operator*<>(const Vector<double>&) const;
+template Vector<double>& Vector<double>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator=<>(const Vector<float>&);
+template double Vector<double>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator*<>(const Vector<float>&) const;
+template double Vector<double>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator*<>(const Vector<double>&) const;
 template void Vector<double>::reinit<>(const Vector<double>&, const bool);
 template void Vector<double>::reinit<>(const Vector<float>&, const bool);
 template void Vector<double>::equ<>(const double, const Vector<double>&);
 template void Vector<double>::equ<>(const double, const Vector<float>&);
 
 template class Vector<float>;
-template Vector<float>& Vector<float>::template operator=<>(const Vector<double>&);
-template float Vector<float>::template operator*<>(const Vector<float>&) const;
-template float Vector<float>::template operator*<>(const Vector<double>&) const;
+template Vector<float>& Vector<float>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator=<>(const Vector<double>&);
+template float Vector<float>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator*<>(const Vector<float>&) const;
+template float Vector<float>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator*<>(const Vector<double>&) const;
 template void Vector<float>::reinit<>(const Vector<double>&, const bool);
 template void Vector<float>::reinit<>(const Vector<float>&, const bool);
 template void Vector<float>::equ<>(const float, const Vector<double>&);
index be7edf17b42410f9566535831894dcb8c2c904c5..a226706de06f49215befbed4bda486e8d535f66f 100644 (file)
 // explicit instantiations
 template class Vector<long double>;
 
-template Vector<long double>& Vector<long double>::template operator=<>(const Vector<double>&);
-template Vector<long double>& Vector<long double>::template operator=<>(const Vector<float>&);
-template long double Vector<long double>::template operator *<> (const Vector<long double> &) const;
-template long double Vector<long double>::template operator *<> (const Vector<double> &) const;
-template long double Vector<long double>::template operator *<> (const Vector<float> &) const;
+template Vector<long double>& Vector<long double>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator=<>(const Vector<double>&);
+template Vector<long double>& Vector<long double>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator=<>(const Vector<float>&);
+template long double Vector<long double>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator *<> (const Vector<long double> &) const;
+template long double Vector<long double>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator *<> (const Vector<double> &) const;
+template long double Vector<long double>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator *<> (const Vector<float> &) const;
 template void Vector<long double>::reinit<>(const Vector<long double>&, const bool);
 template void Vector<long double>::reinit<>(const Vector<double>&, const bool);
 template void Vector<long double>::reinit<>(const Vector<float>&, const bool);
@@ -29,13 +29,13 @@ template void Vector<long double>::equ<>(const long double, const Vector<long do
 template void Vector<long double>::equ<>(const long double, const Vector<double>&);
 template void Vector<long double>::equ<>(const long double, const Vector<float>&);
 
-template Vector<double>& Vector<double>::template operator=<>(const Vector<long double>&);
-template double Vector<double>::template operator *<> (const Vector<long double> &) const;
+template Vector<double>& Vector<double>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator=<>(const Vector<long double>&);
+template double Vector<double>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator *<> (const Vector<long double> &) const;
 template void Vector<double>::reinit<>(const Vector<long double>&, const bool);
 template void Vector<double>::equ<>(const double, const Vector<long double>&);
 
-template Vector<float>& Vector<float>::template operator=<>(const Vector<long double>&);
-template float Vector<float>::template operator *<> (const Vector<long double> &) const;
+template Vector<float>& Vector<float>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator=<>(const Vector<long double>&);
+template float Vector<float>::DEAL_II_MEMBER_OP_TEMPLATE_INST operator *<> (const Vector<long double> &) const;
 template void Vector<float>::reinit<>(const Vector<long double>&, const bool);
 template void Vector<float>::equ<>(const float, const Vector<long double>&);
 

In the beginning the Universe was created. This has made a lot of people very angry and has been widely regarded as a bad move.

Douglas Adams


Typeset in Trocchi and Trocchi Bold Sans Serif.